# imgViewer2
Extensible and responsive jQuery plugin to zoom and pan images. Zooming and panning works on desktop browsers using:
- the mousewheel to zoom in and out
- left mouse button double click to zoom in
- shift and left mouse button drag to define a area to zoom
- left mouse button click and drag to  pan around. 

On touch enabled devices pinch gestures can be used to zoom in and out and tap and drag to pan around. 

It is an easily extended, responsive UI component based on the jQuery widget factory that uses the [Leaflet](http://leafletjs.com/index.html) mapping library for the underlying image display. It should work on all browsers and platforms supported by [Leaflet](http://leafletjs.com/index.html).

This plugin is the successor to the original [imgViewer](https://github.com/waynegm/imgViewer) plugin.

## Examples
1. [Fixed size image](http://waynegm.github.io/imgViewer2/fixed_image_size.html)
2. [Dynamic image size](http://waynegm.github.io/imgViewer2/dynamic_image_size.html)
3. [Decorated, dynamic image size](http://waynegm.github.io/imgViewer2/dynamic_decorated_image.html)
4. [Custom onClick callback](http://waynegm.github.io/imgViewer2/custom_onclick_callback.html)
2. [Control options](http://waynegm.github.io/imgViewer2/control_options.html)
3. [Simple extension to display markers and notes](http://waynegm.github.io/imgViewer2/basic_note.html)
4. [Simple extension using Leaflet plugins to display markers and notes](http://waynegm.github.io/imgViewer2/basic_note_with_plugins.html)
5. [Simple extension to compare multiple versions of an image](http://waynegm.github.io/imgViewer2/img_comparator.html)


## Documentation
1. [Using the plugin](plugindocs/usage.md)
2. [Options](plugindocs/options.adoc)
2. [Methods](plugindocs/methods.adoc)
3. [Extending](plugindocs/extending.md)
4. [Release History](plugindocs/releases.md)
